org.apache.xml.utils

## Class Constants

- java.lang.Object
- - org.apache.xml.utils.Constants

Direct Known Subclasses:
  Constants

    public class Constants
    extends java.lang.Object

Primary constants used by the XSLT Processor

Usage:
  **For advanced use only**

### Field Summary

Fields
`static java.lang.String` `S_BUILTIN_EXTENSIONS_URL` S_BUILTIN_EXTENSIONS_URL is a mnemonic for the XML Namespace (http://xml.apache.org/xalan) predefined to signify Xalan's built-in XSLT Extensions.
`static java.lang.String` `S_BUILTIN_OLD_EXTENSIONS_URL` The old built-in extension url.
`static java.lang.String` `S_EXSLT_COMMON_URL` EXSLT extension namespaces.
`static java.lang.String` `S_EXSLT_DATETIME_URL` EXSLT extension namespaces.
`static java.lang.String` `S_EXSLT_DYNAMIC_URL` EXSLT extension namespaces.
`static java.lang.String` `S_EXSLT_FUNCTIONS_URL` EXSLT extension namespaces.
`static java.lang.String` `S_EXSLT_MATH_URL` EXSLT extension namespaces.
`static java.lang.String` `S_EXSLT_SETS_URL` EXSLT extension namespaces.
`static java.lang.String` `S_EXSLT_STRINGS_URL` EXSLT extension namespaces.
`static java.lang.String` `S_EXTENSIONS_JAVA_URL` Xalan extension namespaces.
`static java.lang.String` `S_EXTENSIONS_LOTUSXSL_JAVA_URL` Xalan extension namespaces.
`static java.lang.String` `S_EXTENSIONS_OLD_JAVA_URL` Xalan extension namespaces.
`static java.lang.String` `S_EXTENSIONS_PIPE_URL` Xalan extension namespaces.
`static java.lang.String` `S_EXTENSIONS_REDIRECT_URL` Xalan extension namespaces.
`static java.lang.String` `S_EXTENSIONS_SQL_URL` Xalan extension namespaces.
`static java.lang.String` `S_EXTENSIONS_XALANLIB_URL` Xalan extension namespaces.
`static java.lang.String` `S_OLDXSLNAMESPACEURL` Mnemonics for standard XML Namespace URIs, as Java Strings: S_XMLNAMESPACEURI (http://www.w3.org/XML/1998/namespace) is the URI permanantly assigned to the "xml:" prefix.
`static java.lang.String` `S_VENDOR` Authorship mnemonics, as Java Strings.
`static java.lang.String` `S_VENDORURL` Authorship mnemonics, as Java Strings.
`static java.lang.String` `S_XMLNAMESPACEURI` Mnemonics for standard XML Namespace URIs, as Java Strings: S_XMLNAMESPACEURI (http://www.w3.org/XML/1998/namespace) is the URI permanantly assigned to the "xml:" prefix.
`static java.lang.String` `S_XSLNAMESPACEURL` Mnemonics for standard XML Namespace URIs, as Java Strings: S_XMLNAMESPACEURI (http://www.w3.org/XML/1998/namespace) is the URI permanantly assigned to the "xml:" prefix.
`static double` `XSLTVERSUPPORTED` The minimum version of XSLT supported by this processor.

### Constructor Summary

Constructors
Constructor and Description
`Constants()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### S_XMLNAMESPACEURI

    public static final java.lang.String S_XMLNAMESPACEURI

Mnemonics for standard XML Namespace URIs, as Java Strings:

- S_XMLNAMESPACEURI (http://www.w3.org/XML/1998/namespace) is the URI permanantly assigned to the "xml:" prefix. This is used for some features built into the XML specification itself, such as xml:space and xml:lang. It was defined by the W3C's XML Namespaces spec.
- S_XSLNAMESPACEURL (http://www.w3.org/1999/XSL/Transform) is the URI which indicates that a name may be an XSLT directive. In most XSLT stylesheets, this is bound to the "xsl:" prefix. It's defined by the W3C's XSLT Recommendation.
- S_OLDXSLNAMESPACEURL (http://www.w3.org/XSL/Transform/1.0) was used in early prototypes of XSLT processors for much the same purpose as S_XSLNAMESPACEURL. It is now considered obsolete, and the version of XSLT which it signified is not fully compatable with the final XSLT Recommendation, so what it really signifies is a badly obsolete stylesheet.

See Also:
  Constant Field Values

#### S_XSLNAMESPACEURL

    public static final java.lang.String S_XSLNAMESPACEURL

Mnemonics for standard XML Namespace URIs, as Java Strings:

- S_XMLNAMESPACEURI (http://www.w3.org/XML/1998/namespace) is the URI permanantly assigned to the "xml:" prefix. This is used for some features built into the XML specification itself, such as xml:space and xml:lang. It was defined by the W3C's XML Namespaces spec.
- S_XSLNAMESPACEURL (http://www.w3.org/1999/XSL/Transform) is the URI which indicates that a name may be an XSLT directive. In most XSLT stylesheets, this is bound to the "xsl:" prefix. It's defined by the W3C's XSLT Recommendation.
- S_OLDXSLNAMESPACEURL (http://www.w3.org/XSL/Transform/1.0) was used in early prototypes of XSLT processors for much the same purpose as S_XSLNAMESPACEURL. It is now considered obsolete, and the version of XSLT which it signified is not fully compatable with the final XSLT Recommendation, so what it really signifies is a badly obsolete stylesheet.

See Also:
  Constant Field Values

#### S_OLDXSLNAMESPACEURL

    public static final java.lang.String S_OLDXSLNAMESPACEURL

Mnemonics for standard XML Namespace URIs, as Java Strings:

- S_XMLNAMESPACEURI (http://www.w3.org/XML/1998/namespace) is the URI permanantly assigned to the "xml:" prefix. This is used for some features built into the XML specification itself, such as xml:space and xml:lang. It was defined by the W3C's XML Namespaces spec.
- S_XSLNAMESPACEURL (http://www.w3.org/1999/XSL/Transform) is the URI which indicates that a name may be an XSLT directive. In most XSLT stylesheets, this is bound to the "xsl:" prefix. It's defined by the W3C's XSLT Recommendation.
- S_OLDXSLNAMESPACEURL (http://www.w3.org/XSL/Transform/1.0) was used in early prototypes of XSLT processors for much the same purpose as S_XSLNAMESPACEURL. It is now considered obsolete, and the version of XSLT which it signified is not fully compatable with the final XSLT Recommendation, so what it really signifies is a badly obsolete stylesheet.

See Also:
  Constant Field Values

#### S_VENDOR

    public static final java.lang.String S_VENDOR

Authorship mnemonics, as Java Strings. Not standardized, as far as I know.

- S_VENDOR -- the name of the organization/individual who published this XSLT processor.
- S_VENDORURL -- URL where one can attempt to retrieve more information about this publisher and product.

See Also:
  Constant Field Values

#### S_VENDORURL

    public static final java.lang.String S_VENDORURL

Authorship mnemonics, as Java Strings. Not standardized, as far as I know.

- S_VENDOR -- the name of the organization/individual who published this XSLT processor.
- S_VENDORURL -- URL where one can attempt to retrieve more information about this publisher and product.

See Also:
  Constant Field Values

#### S_BUILTIN_EXTENSIONS_URL

    public static final java.lang.String S_BUILTIN_EXTENSIONS_URL

S_BUILTIN_EXTENSIONS_URL is a mnemonic for the XML Namespace (http://xml.apache.org/xalan) predefined to signify Xalan's built-in XSLT Extensions. When used in stylesheets, this is often bound to the "xalan:" prefix.

See Also:
  Constant Field Values

#### S_BUILTIN_OLD_EXTENSIONS_URL

    public static final java.lang.String S_BUILTIN_OLD_EXTENSIONS_URL

The old built-in extension url. It is still supported for backward compatibility.

See Also:
  Constant Field Values

#### S_EXTENSIONS_OLD_JAVA_URL

    public static final java.lang.String S_EXTENSIONS_OLD_JAVA_URL

Xalan extension namespaces.

See Also:
  Constant Field Values

#### S_EXTENSIONS_JAVA_URL

    public static final java.lang.String S_EXTENSIONS_JAVA_URL

Xalan extension namespaces.

See Also:
  Constant Field Values

#### S_EXTENSIONS_LOTUSXSL_JAVA_URL

    public static final java.lang.String S_EXTENSIONS_LOTUSXSL_JAVA_URL

Xalan extension namespaces.

See Also:
  Constant Field Values

#### S_EXTENSIONS_XALANLIB_URL

    public static final java.lang.String S_EXTENSIONS_XALANLIB_URL

Xalan extension namespaces.

See Also:
  Constant Field Values

#### S_EXTENSIONS_REDIRECT_URL

    public static final java.lang.String S_EXTENSIONS_REDIRECT_URL

Xalan extension namespaces.

See Also:
  Constant Field Values

#### S_EXTENSIONS_PIPE_URL

    public static final java.lang.String S_EXTENSIONS_PIPE_URL

Xalan extension namespaces.

See Also:
  Constant Field Values

#### S_EXTENSIONS_SQL_URL

    public static final java.lang.String S_EXTENSIONS_SQL_URL

Xalan extension namespaces.

See Also:
  Constant Field Values

#### S_EXSLT_COMMON_URL

    public static final java.lang.String S_EXSLT_COMMON_URL

EXSLT extension namespaces.

See Also:
  Constant Field Values

#### S_EXSLT_MATH_URL

    public static final java.lang.String S_EXSLT_MATH_URL

EXSLT extension namespaces.

See Also:
  Constant Field Values

#### S_EXSLT_SETS_URL

    public static final java.lang.String S_EXSLT_SETS_URL

EXSLT extension namespaces.

See Also:
  Constant Field Values

#### S_EXSLT_DATETIME_URL

    public static final java.lang.String S_EXSLT_DATETIME_URL

EXSLT extension namespaces.

See Also:
  Constant Field Values

#### S_EXSLT_FUNCTIONS_URL

    public static final java.lang.String S_EXSLT_FUNCTIONS_URL

EXSLT extension namespaces.

See Also:
  Constant Field Values

#### S_EXSLT_DYNAMIC_URL

    public static final java.lang.String S_EXSLT_DYNAMIC_URL

EXSLT extension namespaces.

See Also:
  Constant Field Values

#### S_EXSLT_STRINGS_URL

    public static final java.lang.String S_EXSLT_STRINGS_URL

EXSLT extension namespaces.

See Also:
  Constant Field Values

#### XSLTVERSUPPORTED

    public static final double XSLTVERSUPPORTED

The minimum version of XSLT supported by this processor.

See Also:
  Constant Field Values

### Constructor Detail

#### Constants

    public Constants()